/* kate: hl c++; indent-mode cstyle; space-indent on; indent-width 4; replace-tabs on;
  Bluecurve style.
  Copyright (c) 2006 Matthew Woehlke <mw_triad@sourceforge.net>

  Released under the GNU General Public License (GPL) v2.

  Based on the Bluecurve style:
  Copyright (c) 2002 Red Hat, Inc.
  And on the Phase style:
  Copyright (c) 2004 David Johnson

  Permission is hereby granted, free of charge, to any person obtaining a
  copy of this software and associated documentation files (the "Software"),
  to deal in the Software without restriction, including without limitation
  the rights to use, copy, modify, merge, publish, distribute, sublicense,
  and/or sell copies of the Software, and to permit persons to whom the
  Software is furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
  DEALINGS IN THE SOFTWARE.
*/

#define BSIZE_PLUSMINUS 5

// plus/minus "arrows" (5x5)
static QBitmap bplus;
static const unsigned char bplus_bits[] = {
    0x04, 0x04, 0x1f, 0x04, 0x04};

static QBitmap bminus;
static const unsigned char bminus_bits[] = {
    0x00, 0x00, 0x1f, 0x00, 0x00};

#define BSIZE_DOODAD 6

// scrollbar doodads (6x6)
static QBitmap doodad_mid;
static const unsigned char doodad_mid_bits[] = {
    0x20, 0x10, 0x08, 0x04, 0x02, 0x01};

static QBitmap doodad_light;
static const unsigned char doodad_light_bits[] = {
    0x00, 0x20, 0x10, 0x08, 0x04, 0x02};

#define BSIZE_ARROW 9

// up arrow alpha (9x9)
static unsigned char uarrow_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x60,0xff,0x60,0x00,0x00,0x00,
0x00,0x00,0x60,0xff,0xff,0xff,0x60,0x00,0x00,
0x00,0x60,0xff,0xff,0xff,0xff,0xff,0x60,0x00,
0x40,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x40,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// up arrow disabled intensity (9x9)
static unsigned char uarrow_disabled_intensity[] = {
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x00,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,
0x00,0x80,0xff,0xff,0xff,0xff,0xff,0xff,0x80,
0x80,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
};

// up arrow disabled alpha (9x9)
static unsigned char uarrow_disabled_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xc0,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xc0,0x60,0x60,0x00,0x00,0x00,
0x00,0x00,0xc0,0x60,0x40,0x40,0x60,0x00,0x00,
0x00,0xc0,0x60,0x40,0x40,0x40,0x40,0x60,0x00,
0xc0,0x80,0x60,0x60,0x60,0x60,0x60,0x60,0x60,
0x80,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x80,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// down arrow alpha (9x9)
static unsigned char darrow_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x40,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x40,
0x00,0x60,0xff,0xff,0xff,0xff,0xff,0x60,0x00,
0x00,0x00,0x60,0xff,0xff,0xff,0x60,0x00,0x00,
0x00,0x00,0x00,0x60,0xff,0x60,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// down arrow disabled intensity (9x9)
static unsigned char darrow_disabled_intensity[] = {
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,
0x80,0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0xff,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
};

// down arrow disabled alpha (9x9)
static unsigned char darrow_disabled_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x80,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x80,
0x60,0x60,0x60,0x60,0x60,0x60,0x60,0x80,0xc0,
0x00,0x60,0x40,0x40,0x40,0x40,0x60,0xc0,0x00,
0x00,0x00,0x60,0x40,0x40,0x60,0xc0,0x00,0x00,
0x00,0x00,0x00,0x60,0x60,0xc0,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xc0,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// left arrow alpha (7x7)
static unsigned char larrow_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x60,0xff,0x00,0x00,0x00,
0x00,0x00,0x00,0x60,0xff,0xff,0x00,0x00,0x00,
0x00,0x00,0x60,0xff,0xff,0xff,0x00,0x00,0x00,
0x00,0x80,0xff,0xff,0xff,0xff,0x00,0x00,0x00,
0x00,0x00,0x60,0xff,0xff,0xff,0x00,0x00,0x00,
0x00,0x00,0x00,0x60,0xff,0xff,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x60,0xff,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,
};

// left arrow disabled intensity (9x9)
static unsigned char larrow_disabled_intensity[] = {
0x80,0x80,0x80,0x80,0x80,0x00,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x00,0x8f,0xff,0x80,0x80,
0x80,0x80,0x80,0x00,0x00,0xff,0xff,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0xff,0xff,0x80,0x80,
0x80,0x00,0x00,0x80,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xff,0x80,0x80,
};

// left arrow disabled alpha (9x9)
static unsigned char larrow_disabled_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0xc0,0x80,0x00,0x00,
0x00,0x00,0x00,0x00,0xc0,0x80,0xff,0x00,0x00,
0x00,0x00,0x00,0xc0,0x60,0x60,0xff,0x00,0x00,
0x00,0x00,0xc0,0x60,0x40,0x60,0xff,0x00,0x00,
0x00,0xc0,0x60,0x40,0x40,0x60,0xff,0x00,0x00,
0x00,0x00,0x60,0x40,0x40,0x60,0xff,0x00,0x00,
0x00,0x00,0x00,0x60,0x40,0x60,0xff,0x00,0x00,
0x00,0x00,0x00,0x00,0x60,0x60,0xff,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x60,0x80,0x00,0x00,
};

// right arrow alpha (7x7)
static unsigned char rarrow_alpha[] = {
0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xff,0x60,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xff,0xff,0x60,0x00,0x00,0x00,
0x00,0x00,0x00,0xff,0xff,0xff,0x60,0x00,0x00,
0x00,0x00,0x00,0xff,0xff,0xff,0xff,0x80,0x00,
0x00,0x00,0x00,0xff,0xff,0xff,0x60,0x00,0x00,
0x00,0x00,0x00,0xff,0xff,0x60,0x00,0x00,0x00,
0x00,0x00,0x00,0xff,0x60,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,
};

// right arrow disabled intensity (9x9)
static unsigned char rarrow_disabled_intensity[] = {
0x80,0x80,0x00,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x00,0x00,0x80,0x80,0xff,0xff,0x80,
0x80,0x80,0x00,0x00,0x80,0xff,0xff,0x80,0x80,
0x80,0x80,0x00,0x00,0xff,0xff,0x80,0x80,0x80,
0x80,0x80,0x00,0x80,0xff,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0xff,0x80,0x80,0x80,0x80,0x80,
};

// right arrow disabled alpha (9x9)
static unsigned char rarrow_disabled_alpha[] = {
0x00,0x00,0x80,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0x60,0x60,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0x60,0x40,0x60,0x00,0x00,0x00,
0x00,0x00,0xff,0x60,0x40,0x40,0x60,0x00,0x00,
0x00,0x00,0xff,0x60,0x40,0x40,0x60,0xc0,0x00,
0x00,0x00,0xff,0x60,0x40,0x60,0xc0,0x00,0x00,
0x00,0x00,0xff,0x60,0x60,0xc0,0x00,0x00,0x00,
0x00,0x00,0xff,0x60,0xc0,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0xc0,0x00,0x00,0x00,0x00,0x00,
};

#define BSIZE_CHECK 15

// radio dot intensity (15x15)
static unsigned char dot_intensity[] = {
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x94,0xe0,0xff,0xe0,0x86,0x60,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xe0,0xea,0xa0,0x80,0x20,0x40,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xff,0xa0,0x80,0x60,0x00,0x20,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0xe0,0x80,0x60,0x16,0x10,0x30,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x86,0x20,0x00,0x10,0x24,0x50,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x60,0x40,0x20,0x30,0x50,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
};

// radio dot alpha (15x15)
static unsigned char dot_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x66,0xd4,0xff,0xd4,0x66,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x66,0xff,0xff,0xff,0xff,0xff,0x66,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xd4,0xff,0xff,0xff,0xff,0xff,0xd4,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xd4,0xff,0xff,0xff,0xff,0xff,0xd4,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x66,0xff,0xff,0xff,0xff,0xff,0x66,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x66,0xd4,0xff,0xd4,0x66,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// radio "flat" fill alpha (15x15)
static unsigned char circle_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x15,0x4e,0x72,0x7f,0x72,0x4e,0x15,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x2b,0x7f,0x95,0xcd,0xf2,0xff,0xf2,0xcd,0x32,0x00,0x00,0x00,
0x00,0x00,0x15,0x7f,0xab,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x1c,0x00,0x00,
0x00,0x00,0x4e,0x95,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x9c,0x00,0x00,
0x00,0x00,0x72,0xcd,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe5,0x00,0x00,
0x00,0x00,0x7f,0xf2,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,
0x00,0x00,0x72,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe5,0x00,0x00,
0x00,0x00,0x4e,0xf2,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x9c,0x00,0x00,
0x00,0x00,0x15,0xcd,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x2b,0x00,0x00,
0x00,0x00,0x00,0x32,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x57,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x1c,0x9c,0xe5,0xff,0xe5,0x9c,0x2b,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// radio embossed fill alpha (15x15)
static unsigned char circle_emboss_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x2b,0x9c,0xe5,0xff,0xe5,0x9c,0x2b,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x57,0x00,0x00,0x00,
0x00,0x00,0x2b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x2b,0x00,0x00,
0x00,0x00,0x9c,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x9c,0x00,0x00,
0x00,0x00,0xe5,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe5,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,
0x00,0x00,0xe5,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe5,0x00,0x00,
0x00,0x00,0x9c,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x9c,0x00,0x00,
0x00,0x00,0x2b,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x2b,0x00,0x00,
0x00,0x00,0x00,0x57,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x57,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x2b,0x9c,0xe5,0xff,0xe5,0x9c,0x2b,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// radio outline alpha (15x15)
static unsigned char outline_dark_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x4a,0xac,0xe9,0xff,0xe9,0xac,0x4a,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x98,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x98,0x00,0x00,0x00,
0x00,0x00,0x98,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x98,0x00,0x00,
0x00,0x4a,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x4a,0x00,
0x00,0xac,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xac,0x00,
0x00,0xe9,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe9,0x00,
0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,
0x00,0xe9,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xe9,0x00,
0x00,0xac,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xac,0x00,
0x00,0x4a,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x4a,0x00,
0x00,0x00,0x98,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x98,0x00,0x00,
0x00,0x00,0x00,0x98,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x98,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x4a,0xac,0xe9,0xff,0xe9,0xac,0x4a,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// radio outline bevel shadow alpha (15x15)
static unsigned char outline_mid_alpha[] = {
0x00,0x00,0x00,0x00,0x59,0x9f,0xbc,0xb4,0x8d,0x58,0x23,0x00,0x00,0x00,0x00,
0x00,0x00,0x2f,0xc5,0xf1,0xe4,0xcf,0xb4,0x94,0x72,0x50,0x27,0x04,0x00,0x00,
0x00,0x2f,0xec,0xfd,0xf7,0xea,0xd4,0xb4,0x8d,0x64,0x3d,0x1c,0x00,0x00,0x00,
0x00,0xc5,0xfd,0xff,0xfc,0xf1,0xda,0xb4,0x83,0x50,0x24,0x00,0x00,0x00,0x00,
0x59,0xf1,0xf7,0xfc,0xff,0xfa,0xe4,0xb4,0x72,0x32,0x00,0x00,0x00,0x00,0x00,
0x9f,0xe4,0xea,0xf1,0xfa,0xff,0xf1,0xb4,0x50,0x00,0x00,0x00,0x00,0x00,0x00,
0xbc,0xcf,0xd4,0xda,0xe4,0xf1,0xff,0xb4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xb4,0xb4,0xb4,0xb4,0xb4,0xb4,0xb4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x8d,0x94,0x8d,0x83,0x72,0x50,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x58,0x72,0x64,0x50,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x23,0x50,0x3d,0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x27,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};

// radio outline bevel shadow alpha (15x15)
static unsigned char outline_light_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x27,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0x3d,0x50,0x23,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x32,0x50,0x64,0x72,0x58,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x50,0x72,0x83,0x8d,0x94,0x8d,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xb4,0xb4,0xb4,0xb4,0xb4,0xb4,0xb4,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xb4,0xff,0xf1,0xe4,0xda,0xd4,0xcf,0xbc,
0x00,0x00,0x00,0x00,0x00,0x00,0x50,0xb4,0xf1,0xff,0xfa,0xf1,0xea,0xe4,0x9f,
0x00,0x00,0x00,0x00,0x00,0x32,0x72,0xb4,0xe4,0xfa,0xff,0xfc,0xf7,0xf1,0x59,
0x00,0x00,0x00,0x00,0x24,0x50,0x83,0xb4,0xda,0xf1,0xfc,0xff,0xfd,0xc5,0x00,
0x00,0x00,0x00,0x1c,0x3d,0x64,0x8d,0xb4,0xd4,0xea,0xf7,0xfd,0xec,0x2f,0x00,
0x00,0x00,0x04,0x27,0x50,0x72,0x94,0xb4,0xcf,0xe4,0xf1,0xc5,0x2f,0x00,0x00,
0x00,0x00,0x00,0x00,0x23,0x58,0x8d,0xb4,0xbc,0x9f,0x59,0x00,0x00,0x00,0x00,
};

// check intensity (15x15)
static unsigned char check_intensity[] = {
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xb0,0xc0,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xff,0xd0,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x70,0x80,0x80,0x80,0xff,0xb0,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x40,0x60,0xff,0xa0,0x80,0xff,0xb0,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x20,0x40,0x50,0xff,0xc0,0xb0,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x00,0x00,0x30,0x20,0x60,0x20,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x00,0x00,0x00,0x20,0x20,0x00,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
};

// check alpha (15x15)
static unsigned char check_alpha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x60,0x60,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0xa0,0xff,0xff,0x20,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,0xff,0xff,0xa0,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0x70,0x00,0x00,0xc0,0xff,0xff,0x40,0x00,0x00,0x00,
0x00,0x00,0x00,0x80,0xff,0xff,0xa0,0xe0,0xff,0xff,0x20,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x60,0xd0,0xff,0xff,0xff,0xff,0x40,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x80,0xff,0xff,0x60,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};
